CREATE TABLE `account` (`id` bigint(20) NOT NULL PRIMARY KEY ON CONFLICT REPLACE,`fiLoginId` bigint(20) NOT NULL REFERENCES `fi_login` (`id`),`accountName` varchar(255) NOT NULL default '',`accountType` int(11) NOT NULL,`balance` decimal(15,5) NOT NULL,`status` int(11) NOT NULL, `subAccountType` varchar(255),`numTransactions` int(10), `isZillow` int (1));
CREATE TABLE "advice" ( "userAdviceId" bigint(20,0) NOT NULL ON CONFLICT REPLACE, "offerId" bigint(20,0) NOT NULL, "advicePriority" int(11,0) NOT NULL, "isIgnored" int(1,0), "isViewed" int(1,0), "headline" varchar(255,0) NOT NULL, "body" varchar(1024,0) NOT NULL, "callToAction" varchar(255,0) NOT NULL, "creationTime" datetime NOT NULL, "offerLink" varchar(1024,0), "offerLink2" varchar(1024,0), "largeImageURL" varchar(255,0) NOT NULL, "name" varchar(255), "adviceVersionedId" bigint(20,0) NOT NULL, PRIMARY KEY("userAdviceId"));
CREATE TABLE `category` (  `id` bigint(15) NOT NULL PRIMARY KEY ON CONFLICT REPLACE,  `categoryName` varchar(255) NOT NULL,  `softDeleted` varchar(1) NOT NULL,  `depth` int(1) NOT NULL,  `parentId` int(1)  REFERENCES `category` (`id`) );
CREATE TABLE `transaction_bankcc` (  `id` bigint(15) NOT NULL PRIMARY KEY ON CONFLICT REPLACE,  `accountId` bigint(15) NOT NULL REFERENCES `account` (`id`),  	  `description` varchar(255),  	  `amount` decimal (15,5) NOT NULL,  	  `categoryId` int (10)  NOT NULL REFERENCES `category` (`id`),  	  `datePosted` datetime NOT NULL,  	  `status` int (10) NOT NULL,  	  `type` int (10),  	  `pending` int (1),  	  `duplicate` int(1),  	  `isCategory` int(1),  	  `isMerchant` int(1) ,   	  `datePostedString` varchar(8),   	  `originalDatePostedString` varchar(8),  	  `userNote` varchar(255),   	  `inferredCategoryId` int (10)  NOT NULL default 0 REFERENCES `category` (`id`), `yodDesc` varchar(255), `version` int(20)); 
CREATE TABLE `budget_overall` ( `id` bigint(20) NOT NULL PRIMARY KEY ON CONFLICT REPLACE, `performanceStatus` bigint(20));
CREATE TABLE `budget` ( `id` bigint(20) NOT NULL PRIMARY KEY ON CONFLICT REPLACE, `amount` decimal(15,5) NOT NULL, `budgetAmount` decimal(15,5) NOT NULL, `status` int(11) NOT NULL, `categoryId` int(11) NOT NULL REFERENCES `category` (`id`), `performanceStatus` int(11), `date` int(11), `dateString` varchar(8), `type` varchar(2), `paymentDateString` varchar(8)); 
CREATE TABLE `fi_login` (`id` bigint(15) NOT NULL PRIMARY KEY ON CONFLICT REPLACE,`status` int(10) NOT NULL,	  `lastUpdateDate` datetime, `fiName` varchar(255), `lastUpdated` varchar(255), `mintStatus` int(10), `errorMessage` varchar(255), `phone` varchar(32), `logo` varchar(128), `url` varchar(255),`csMessage` varchar(255),`csMessageLink` varchar(255));
CREATE TABLE `spending` (  `id` bigint(20) NOT NULL PRIMARY KEY ON CONFLICT REPLACE,  `expense` decimal(15,5) NOT NULL,  `income` decimal(15,5) NOT NULL  );
CREATE TABLE `alert` (  `id` bigint(15) NOT NULL PRIMARY KEY ON CONFLICT REPLACE,  `accountId` bigint(20) REFERENCES `account` (`id`),  `details` varchar(255) ,  `categoryId` bigint(20),  `transactionId` bigint(20),  `date` datetime,  `lastSeen` datetime,  `new` varchar(1),  `alertType` int(10),  `alertTypeString` varchar(50));
CREATE TABLE `user_tag` ( `id` bigint(15) NOT NULL PRIMARY KEY ON CONFLICT REPLACE, 		  `name` varchar(30) NOT NULL 		); 
CREATE TABLE `transaction_usertag` ( 		  `transactionId` bigint(15) NOT NULL REFERENCES `transaction_bankcc` (`id`), 		  `tagId` bigint(15) NOT NULL REFERENCES `user_tag` (`id`), 		  UNIQUE(`transactionId`, `tagId`) ON CONFLICT REPLACE 		);
CREATE TABLE `live_folder` ( `_id` bigint(15) NOT NULL PRIMARY KEY ON CONFLICT REPLACE, `name` varchar(30) NOT NULL, `description` varchar(60), `intent` varchar(60) NOT NULL, `icon_resource`  bigint(15)	); 